SystemOrganization addCategory: #'OpenVolunteerMarketPlace-Model'!
SystemOrganization addCategory: #'OpenVolunteerMarketPlace-View'!
SystemOrganization addCategory: #'OpenVolunteerMarketPlace-Controller'!
SystemOrganization addCategory: #'OpenVolunteerMarketPlace-Tests'!

WAComponent subclass: #OVMPContentView
	instanceVariableNames: 'searchBox projectListView'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPContentView methodsFor: 'initialization' stamp: 'ThiagoFurtado 10/3/2012 12:16'!
initialize 
	super initialize .
	searchBox := OVMPSeachProjectView new.
	projectListView := OVMPProjectListView new.! !

!OVMPContentView methodsFor: 'rendering' stamp: 'ThiagoFurtado 10/3/2012 12:13'!
renderContentOn: html

	html section id: 'content';
		with: [
			html render: searchBox.
			html render: projectListView.
			].! !

WAComponent subclass: #OVMPLoginView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPLoginView methodsFor: 'rendering' stamp: 'ThiagoFurtado 10/3/2012 09:01'!
renderContentOn: html

			html div
				id: 'login';
				with: [
					html form 
					id: 'formlogin';
					with: [
						html fieldSet
							class: 'up';
							with: [
								"html label for: 'email'; with: 'email/username'. "html textInput id: 'email'; type: 'text'; placeholder: 'user/email'.
								"html label for: 'pwd'; with: 'password'." html textInput id: 'pwd';type: 'password'; placeholder: 'password'.
								html submitButton id: 'enter'; class: 'btn'; with: 'Enter'.
								]
						 ].
			].! !

WAComponent subclass: #OVMPNewProjectView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPNewProjectView methodsFor: 'project' stamp: 'ThiagoFurtado 10/3/2012 21:01'!
addProject
	self answer: true.! !

!OVMPNewProjectView methodsFor: 'project' stamp: 'ThiagoFurtado 10/3/2012 20:48'!
cancelAdding
	self answer: false.! !

!OVMPNewProjectView methodsFor: 'rendering' stamp: 'ThiagoFurtado 10/3/2012 15:25'!
renderContentOn: html

	html article
		id: 'projectadding';
		with: [self renderProjectForm: html.]
		
											! !

!OVMPNewProjectView methodsFor: 'rendering' stamp: 'ThiagoFurtado 10/4/2012 00:04'!
renderProjectForm: html

	html article
		id: 'adding';
		with: [ 			
					html form
						id: 'addform';
						with: [ 
									html fieldSet
										class: 'addclass';
										with: [ 
													html textInput
														id: 'projectname';
														type: 'text';
														placeholder: 'Enter a project name'.
													html textInput 
														id: 'projectURL';
														placeholder: 'Enter a URL'.
													html textArea 
														id: 'projectdescription';
														placeholder: 'Enter a description'.
														"rows: 5;
														columns: 100."
													html submitButton 
														id: 'cancelbtn';
														class: 'btn';
														on: #cancelAdding of: self;
														with: 'Cancel'.
													html submitButton 
														id: 'addbtn';
														class: 'btn';
														on: #addProject of: self; 
														with: 'Add'.
												]	
							]				
				]					! !

WAComponent subclass: #OVMPProjectListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPProjectListView methodsFor: 'rendering' stamp: 'ThiagoFurtado 10/3/2012 13:01'!
renderContentOn: html
	| projects |
	
	"just to test"
	projects := Array new.
	
	html div id: 'list';
		with: [
			
			html unorderedList: [
					projects do: [ :project |
							html listItem: [ html render: project. ].
						]
				]			
			
			].! !

WAComponent subclass: #OVMPProjectView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

WAComponent subclass: #OVMPSeachProjectView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPSeachProjectView methodsFor: 'accessing' stamp: 'ThiagoFurtado 10/3/2012 14:48'!
addNewProject
	| newProjectView |
	newProjectView := OVMPNewProjectView new.
	
	self call: newProjectView.! !

!OVMPSeachProjectView methodsFor: 'accessing' stamp: 'ThiagoFurtado 10/3/2012 14:38'!
addNewProject: aProject

	self call: (OVMPNewProjectView new yourself)! !

!OVMPSeachProjectView methodsFor: 'rendering' stamp: 'ThiagoFurtado 10/3/2012 21:28'!
renderContentOn: html
	html article
		id: 'projectmgmt';
		with: [self renderFields: html.]
		
											
	! !

!OVMPSeachProjectView methodsFor: 'rendering' stamp: 'ThiagoFurtado 10/3/2012 21:28'!
renderFields: html

	html article
		id: 'search';
		with: [ 			
					html form
						id: 'searchform';
						with: [ 
									html fieldSet
										class: 'searchclass';
										with: [ 
													html submitButton 
														id: 'addproject';
														class: 'btn';
														callback: [self addNewProject ];																
														with: 'New'.
													html textInput
														id: 'projectfield';
														type: 'text';
														placeholder: 'Enter the searching project name'.
													html submitButton
														id: 'enter';
														class: 'btn';
														with: 'Search' ] ] ]! !

WAComponent subclass: #OVMPView
	instanceVariableNames: 'loginComponent centerComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPView class methodsFor: 'class initialization' stamp: 'ThiagoFurtado 9/22/2012 14:31'!
initialize

	WAAdmin register: self asApplicationAt: 'openvolunteermarketplace' .! !

!OVMPView methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/29/2012 00:22'!
children 
	^ Array with: loginComponent with: searchProjectBox with: centerComponent.! !

!OVMPView methodsFor: 'initialization' stamp: 'ThiagoFurtado 10/3/2012 12:14'!
initialize 
	super initialize .
	loginComponent := OVMPLoginView new.
	centerComponent := OVMPContentView new.! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 10/3/2012 12:13'!
renderBodyContentOn: html

	html section id: 'content';
		with: [
			html render: centerComponent.
			].! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/28/2012 23:39'!
renderContentOn: html

	html div 
		id: 'main';
		with: [ self renderHeaderOn: html .
			    self renderBodyContentOn: html ].! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 10/3/2012 09:02'!
renderHeaderOn: html
	html header
		id: 'header';
		with: [ 
					html div
						id: 'in-header';
						with: [ 
									html heading
										level: 1;
										with: [ 
													html anchor
														url: 'http://localhost:8080/openvolunteermarketplace';
														with: 'Open Volunteer MarketPlace' ].
									self renderLoginForm: html ] ]! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/28/2012 23:48'!
renderLoginForm: html

	html render: loginComponent.! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 23:16'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: 'Open Volunteer MarketPlace'.
	anHtmlRoot stylesheet url: 'http://localhost/openvolunteermarketplace/styles/style.css'! !

Object subclass: #Database
	instanceVariableNames: 'projects'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Controller'!

Object subclass: #OVMPPerson
	instanceVariableNames: 'username password email name birthday skills'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

!OVMPPerson methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 13:11'!
addSkill: aSkill
	skills add: aSkill.! !

!OVMPPerson methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 13:12'!
addSkills: aSkillArray
	 skills addAll: aSkillArray.! !

!OVMPPerson methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 13:11'!
skills
	^ skills.! !

Object subclass: #OVMPProject
	instanceVariableNames: 'name startDate tasks coordinator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:14'!
addTask: aTask
	tasks add: aTask.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:15'!
addTasks: aTaskArray
	tasks addAll: aTaskArray.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:12'!
name
	^ name.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:12'!
name: aName
	name := aName.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:13'!
startDate
	^ startDate.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:12'!
startDate: aDate
	startDate := aDate.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:13'!
tasks
	^ tasks.! !

Object subclass: #OVMPProjectController
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Controller'!

!OVMPProjectController methodsFor: 'accessing' stamp: 'ThiagoFurtado 10/3/2012 12:47'!
projects
	! !

Object subclass: #OVMPTask
	instanceVariableNames: 'name volunteers requiredSkills'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

Object subclass: #OVMPVolunteer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!
OVMPView initialize!
